window.Gleam.initSearch([{"doc":"stdin","title":"stdin","content":"[![Package Version](https://img.shields.io/hexpm/v/stdin)](https://hex.pm/packages/stdin)\r\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/stdin/)\r\n\r\n# stdin\r\n\r\n`stdin` provides a synchronous iterator for consuming stdin. It supports all the non-browser targets, Erlang, Node, Deno, and Bun.\r\n\r\nThe goal of this package is to provide a uniform way of consuming stdin for all supported targets, in all supported runtimes, and on all supported platforms.\r\n\r\n| Platform | Target     | Runtime | Status          |\r\n|:--------:|:----------:|:-------:|:---------------:|\r\n| Win      | Erlang     | Beam    | OK `2024-06-08` |\r\n| Win      | Javascript | Node    | OK `2024-06-08` |\r\n| Win      | Javascript | Deno    | OK `2024-06-08` |\r\n| Win      | Javascript | Bun     | OK `2024-06-08` |\r\n| Mac      | Erlang     | Beam    | OK `2024-06-03` |\r\n| Mac      | Javascript | Node    | OK `2024-06-03` |\r\n| Mac      | Javascript | Deno    | TBD             |\r\n| Mac      | Javascript | Bun     | TBD             |\r\n| Linux    | Erlang     | Beam    | TBD             |\r\n| Linux    | Javascript | Node    | TBD             |\r\n| Linux    | Javascript | Deno    | TBD             |\r\n| Linux    | Javascript | Bun     | TBD             |\r\n\r\n```sh\r\ngleam add stdin\r\n```\r\n\r\n```gleam\r\nimport gleam/io\r\nimport gleam/iterator\r\nimport stdin.{stdin}\r\n\r\npub fn main() {\r\n  stdin()\r\n  |&gt; iterator.to_list\r\n  |&gt; io.debug\r\n}\r\n```\r\n\r\nFurther documentation can be found at &lt;https://hexdocs.pm/stdin&gt;.\r\n\r\n## Development\r\n\r\n```sh\r\ncat README.md | gleam test --target=javascript --runtime=node\r\ncat README.md | gleam test --target=javascript --runtime=bun\r\ncat README.md | gleam test --target=javascript --runtime=deno\r\ncat README.md | gleam test --target=erlang\r\n```\r\n","url":"index.html"},{"doc":"stdin","title":"stdin","content":"pub fn stdin() -&gt; Iterator(String)\n\nSynonyms:\nstdin.stdin\nstdin stdin","url":"stdin.html#stdin"},{"doc":"stdin","title":"stdin","content":"","url":"stdin.html"},{"doc":"stdin_test","title":"main","content":"pub fn main() -&gt; List(String)\n\nSynonyms:\nstdin_test.main\nstdin_test main","url":"stdin_test.html#main"},{"doc":"stdin_test","title":"stdin_test","content":"","url":"stdin_test.html"}]);